Skip to main content
POST
/
v3
/
appointment-definitions
/
{appointmentDefinition}
/
available-slots
Browse Available Appointment Slots
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/available-slots \
  --header 'Content-Type: application/json' \
  --data '
{
  "location_id": 123,
  "date": "2023-12-25",
  "staff_id": "<string>"
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/available-slots"

payload = {
    "location_id": 123,
    "date": "2023-12-25",
    "staff_id": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({location_id: 123, date: '2023-12-25', staff_id: '<string>'})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/available-slots', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "date": "<string>",
    "timezone": "<string>",
    "appointment_definition_id": 123,
    "location_id": 123,
    "requires_staff": true,
    "customer_must_select_staff": true,
    "assigned_staff_required": true,
    "staff": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>"
    },
    "slots": [
      "<string>"
    ]
  },
  "meta": {
    "slot_interval_minutes": 123,
    "duration_minutes": 123,
    "buffer_before_minutes": 123,
    "buffer_after_minutes": 123,
    "min_lead_minutes": 123,
    "max_advance_days": 123,
    "max_concurrent_bookings": 123
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "errors": {}
}

Path Parameters

appointmentDefinition
integer
required

The appointment definition ID

Body

application/json
location_id
integer
required
date
string<date>
required
staff_id
string | null

Response

AppointmentAvailableSlotsResource

data
object
required
meta
object
required